start print size test, not finished yet

master
George Danchev 11 years ago
parent 0cf025c018
commit 4e822eb9c7
  1. 2
      releng/releng_build_isojigdo
  2. 82
      releng/releng_print_size
  3. 1
      releng/template_new_releng

@ -12,8 +12,8 @@ RELENG_IMG=""
RELENG_ISOLINUX_BIN=""
RELENG_BOOT_CAT=""
CONFFILE=$HOME/.libburnia-releng/releng_build_isojigdo.conf
KEEP=0
GEN_DATA_DIR=releng_generated_data/${SELF}
KEEP=0
RES=""
print_help() {

@ -0,0 +1,82 @@
#!/bin/bash
set -e
START_DIR_DONT_CHANGE=`pwd`
SELF=$(basename "$0")
# required config items
RELENG_XORRISO=/usr/bin/xorriso
RELENG_GENISOIMAGE=/usr/bin/genisoimage
RELENG_MKISOFS=/usr/bin/mkisofs
# config file
CONFFILE=${HOME}/.libburnia-releng/${SELF}.conf
GEN_DATA_DIR=releng_generated_data/${SELF}
UPPER=4
KEEP=0
#####################################################################
print_help() {
cat << HLP
Usage:
$0 -help
# using a config file ${CONFFILE}
$0 -rc [-keep]
# without using a config file
$0 your_own_options_here
# cleanup test generated data directory and exit
$0 -cleanup
HLP
}
#####################################################################
print_help
#if [ ! -x "${XOR}" ]; then
# printf "$0: Not found or not an executable: $XOR\n"
# exit 50
#fi
# xorriso version details, incl. underlying libraries
# "${XOR}" -version
printf "${SELF}: Generating sample tree\n"
for ((i1=0; i1 < ${UPPER}/4; i1++))
do
for ((i2=0; i2 < ${UPPER}/2; i2++))
do
for ((i3=0; i3 < ${UPPER}; i3++))
do
mkdir -p ${GEN_DATA_DIR}/DirOne$i1/DirTwo$i2/DirThree$i3
touch ${GEN_DATA_DIR}/DirOne$i1/DirTwo$i2/DirThree$i3/FileOne
done
done
done
# Disk cache might play dirty games, so re-run these several times?
if [ -x ${RELENG_XORRISO} ]; then
printf "${RELENG_XORRISO}\n"
time ${RELENG_XORRISO} -as mkisofs -quiet -print-size ${GEN_DATA_DIR}
fi
if [ -x ${RELENG_GENISOIMAGE} ]; then
printf "${RELENG_GENISOIMAGE}\n"
time ${RELENG_GENISOIMAGE} -quiet -print-size ${GEN_DATA_DIR}
fi
if [ -x ${RELENG_MKISOFS} ]; then
printf "${RELENG_MKISOFS}\n"
time ${RELENG_MKISOFS} -quiet -print-size ${GEN_DATA_DIR}
fi
cd ${START_DIR_DONT_CHANGE} || exit 2
rm -rf ${GEN_DATA_DIR}
printf "\n${SELF}: FAIL: SCRIPT NOT COMPLETED YET\n"
exit 31
exit 0

@ -11,6 +11,7 @@ SELF=$(basename "$0")
# config file
CONFFILE=${HOME}/.libburnia-releng/${SELF}.conf
GEN_DATA_DIR=releng_generated_data/${SELF}
KEEP=0
printf "\n$0: FAIL: SCRIPT NOT COMPLETED YET\n"

Loading…
Cancel
Save